from grammarly import GrammarlyFilter

def init():
        global text, correction, grammarly, form_data, genres, err_cat, parsing_start, tui, parse, real_check
        text = ""
        correction = None
        grammarly = None
        tui = None
        parse = None
        real_check = False
        
        form_data = {
            "Pwd": "password",
            "User": "user@mail.com",
            "Genre": 0,
            "Dialect": 1,
            "cat0": True,
            "cat1": True,
            "cat2": True,
            "cat3": True,
            "Threads": 1,
            "Parsing": 0,
            "auth": "",
            "doc_id": 0,
            "replace": {}
        }

        genres = [
            {"name": "General", "key": "general"},
            {"name": "Academic (General)", "key": "academic_general"},
            {"name": "Academic (Essay)", "key": "academic_essay"},
            {"name": "Academic (Report)", "key": "academic_report"},
            {"name": "Academic (Case)", "key": "academic_case"},
            {"name": "Academic (Review)", "key": "academic_review"},
            {"name": "Academic (Proposal)", "key": "academic_proposal"},
            {"name": "Academic (Results)", "key": "academic_results"},
            {"name": "Academic (Dissertation)", "key": "academic_disser"},
            {"name": "Academic (Letter)", "key": "academic_letter"},
            {"name": "Business (Other)", "key": "business_other"},
            {"name": "Business (Letter)", "key": "business_letter"},
            {"name": "Business (E-Mail)", "key": "business_email"},
            {"name": "Business (Report)", "key": "business_report"},
            {"name": "Business (Memo)", "key": "business_memo"},
            {"name": "Business (Proposal)", "key": "business_proposal"},
            {"name": "Business (Article)", "key": "business_article"},
            {"name": "Business (Advertisement)", "key": "business_adv"},
            {"name": "Technical (Other)", "key": "technical_other"},
            {"name": "Technical (Manual)", "key": "technical_manual"},
            {"name": "Technical (Documentation)", "key": "technical_documentation"},
            {"name": "Technical (Marketing)", "key": "technical_marketing"},
            {"name": "Medical (Other)", "key": "medical_other"},
            {"name": "Medical (Regulatory)", "key": "medical_regulatory"},
            {"name": "Medical (Educational)", "key": "medical_educational"},
            {"name": "Creative (Other)", "key": "creative_other"},
            {"name": "Creative (Non-fiction)", "key": "creative_nonfiction"},
            {"name": "Creative (Novel)", "key": "creative_novel"},
            {"name": "Creative (Script)", "key": "creative_script"},
            {"name": "Creative (Story)", "key": "creative_story"},
            {"name": "Casual (Other)", "key": "casual_other"},
            {"name": "Casual (E-Mail)", "key": "casual_email"},
            {"name": "Casual (Blog)", "key": "casual_blog"}
        ]
        
        
        err_cat = [
            {"name": "Passive voice", "id": GrammarlyFilter.PASSIVE_VOICE},
            {"name": "Numerals", "id": GrammarlyFilter.NUMERAL_WORD},
            {"name": "Repetetive word", "id": GrammarlyFilter.REPETETIVE},
            {"name": "Overused word", "id": GrammarlyFilter.OVERUSED_WORD}
        ]

        parsing_start = [
            ("Beginning of file", 0),
            ("Beginning of document", 1),
            ("Beginning of abstract", 2),
            ("Beginning of first section", 3),
            ("Beginning of title", 4)
        ]

